﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using MovieCharacters.Model;

namespace MovieCharactersApi.Migrations
{
    [DbContext(typeof(MovieDbContext))]
    [Migration("20210723144500_SeedData")]
    partial class SeedData
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("ProductVersion", "5.0.8")
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("CharacterMovie", b =>
                {
                    b.Property<int>("CharactersId")
                        .HasColumnType("int");

                    b.Property<int>("MoviesId")
                        .HasColumnType("int");

                    b.HasKey("CharactersId", "MoviesId");

                    b.HasIndex("MoviesId");

                    b.ToTable("CharacterMovie");

                    b.HasData(
                        new
                        {
                            CharactersId = 1,
                            MoviesId = 1
                        },
                        new
                        {
                            CharactersId = 2,
                            MoviesId = 1
                        },
                        new
                        {
                            CharactersId = 1,
                            MoviesId = 2
                        },
                        new
                        {
                            CharactersId = 2,
                            MoviesId = 2
                        },
                        new
                        {
                            CharactersId = 1,
                            MoviesId = 3
                        },
                        new
                        {
                            CharactersId = 2,
                            MoviesId = 3
                        },
                        new
                        {
                            CharactersId = 7,
                            MoviesId = 4
                        },
                        new
                        {
                            CharactersId = 7,
                            MoviesId = 5
                        },
                        new
                        {
                            CharactersId = 7,
                            MoviesId = 6
                        },
                        new
                        {
                            CharactersId = 8,
                            MoviesId = 5
                        },
                        new
                        {
                            CharactersId = 9,
                            MoviesId = 6
                        },
                        new
                        {
                            CharactersId = 3,
                            MoviesId = 7
                        },
                        new
                        {
                            CharactersId = 4,
                            MoviesId = 7
                        },
                        new
                        {
                            CharactersId = 5,
                            MoviesId = 7
                        },
                        new
                        {
                            CharactersId = 6,
                            MoviesId = 7
                        },
                        new
                        {
                            CharactersId = 3,
                            MoviesId = 8
                        },
                        new
                        {
                            CharactersId = 4,
                            MoviesId = 8
                        },
                        new
                        {
                            CharactersId = 5,
                            MoviesId = 8
                        },
                        new
                        {
                            CharactersId = 6,
                            MoviesId = 8
                        },
                        new
                        {
                            CharactersId = 3,
                            MoviesId = 9
                        },
                        new
                        {
                            CharactersId = 4,
                            MoviesId = 9
                        },
                        new
                        {
                            CharactersId = 5,
                            MoviesId = 9
                        },
                        new
                        {
                            CharactersId = 6,
                            MoviesId = 9
                        });
                });

            modelBuilder.Entity("MovieCharacters.Model.Character", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Alias")
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("FullName")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("Gender")
                        .HasMaxLength(20)
                        .HasColumnType("nvarchar(20)");

                    b.Property<string>("Picture")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Characters");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Alias = "",
                            FullName = "Dominic Toretto",
                            Gender = "Male",
                            Picture = "https://upload.wikimedia.org/wikipedia/commons/thumb/7/71/Vin_Diesel_XXX_Return_of_Xander_Cage_premiere.png/800px-Vin_Diesel_XXX_Return_of_Xander_Cage_premiere.png"
                        },
                        new
                        {
                            Id = 2,
                            Alias = "",
                            FullName = "Brian O'Connor",
                            Gender = "Male",
                            Picture = "https://upload.wikimedia.org/wikipedia/commons/9/91/PaulWalkerEdit-1.jpg"
                        },
                        new
                        {
                            Id = 3,
                            Alias = "Gandalf",
                            FullName = "Gandalf",
                            Gender = "Male",
                            Picture = "https://static.feber.se/article_images/31/44/88/314488_980.gif"
                        },
                        new
                        {
                            Id = 4,
                            Alias = "",
                            FullName = "Frodo Bagger",
                            Gender = "Male",
                            Picture = "https://i.pinimg.com/originals/63/77/c6/6377c6c26401f23739439440d67957f4.jpg"
                        },
                        new
                        {
                            Id = 5,
                            Alias = "",
                            FullName = "Sam Gamgi",
                            Gender = "Male",
                            Picture = "https://i.pinimg.com/736x/ec/a6/2a/eca62aea2ab4b143ed58e5285b57dfa9--samwise-gamgee-hair-pulled-back.jpg"
                        },
                        new
                        {
                            Id = 6,
                            Alias = "Sméagol",
                            FullName = "Gollum",
                            Gender = "Male",
                            Picture = "https://imgs.aftonbladet-cdn.se/v2/images/72739752-fe8b-4ec1-95e0-215cf8accbc3?fit=crop&h=1132&q=50&w=800&s=bd3e449b3b3e7431845ddd9f2c3d640499c21678"
                        },
                        new
                        {
                            Id = 7,
                            Alias = "Batman",
                            FullName = "Bruce Wayne",
                            Gender = "Male",
                            Picture = "https://upload.wikimedia.org/wikipedia/en/1/19/Bruce_Wayne_%28The_Dark_Knight_Trilogy%29.jpg"
                        },
                        new
                        {
                            Id = 8,
                            Alias = "Red hood",
                            FullName = "Joker",
                            Gender = "Male",
                            Picture = "https://static.wikia.nocookie.net/batman/images/f/f9/Heath_Ledger_as_the_Joker.JPG/revision/latest/top-crop/width/360/height/450?cb=20090903145508"
                        },
                        new
                        {
                            Id = 9,
                            Alias = "Bane",
                            FullName = "Unknown",
                            Gender = "Male",
                            Picture = "https://static.posters.cz/image/1300/plakater/batman-dark-knight-rises-bane-sewer-i12721.jpg"
                        });
                });

            modelBuilder.Entity("MovieCharacters.Model.Franchise", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Description")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.HasKey("Id");

                    b.ToTable("Franchises");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Description = "Fast & Furious (also known as The Fast and the Furious) is a media franchise centered on a series of action films that are largely concerned with illegal street racing, heists, and spies. The franchise also includes short films, a television series, live shows, video games, and theme park attractions. It is distributed by Universal Pictures.",
                            Name = "The Fast and Furious"
                        },
                        new
                        {
                            Id = 2,
                            Description = "Batman Begins is a reboot of the entire Batman film franchise under the direction of Christopher Nolan. It revolves around Bruce Wayne journey into becoming The Dark Knight of Gotham City from crime and corruption . In his quest he encounters allies that aid him in his quest such as his loyal butler and confident Alfred, local police officer and friend Jim Gordon, fellow gadgetry and tech equipment specialist Lucius Fox and finally childhood friend Rachel Dawes. With the rises of Batman came enemies to challenge him such as Joker and the Scarecrow.",
                            Name = "Batman series"
                        },
                        new
                        {
                            Id = 3,
                            Description = "The Lord of the Rings is the saga of a group of sometimes reluctant heroes who set forth to save their world from consummate evil. Its many worlds and creatures were drawn from Tolkien’s extensive knowledge of philology and folklore.",
                            Name = "The lord of the rings"
                        });
                });

            modelBuilder.Entity("MovieCharacters.Model.Movie", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Director")
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<int?>("FranchiseId")
                        .HasColumnType("int");

                    b.Property<string>("Genre")
                        .HasMaxLength(100)
                        .HasColumnType("nvarchar(100)");

                    b.Property<string>("PictureUrl")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ReleaseYear")
                        .HasMaxLength(4)
                        .HasColumnType("nvarchar(4)");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("Trailer")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.HasIndex("FranchiseId");

                    b.ToTable("Movies");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Director = "Rob Cohen",
                            FranchiseId = 1,
                            Genre = "Action",
                            PictureUrl = "https://upload.wikimedia.org/wikipedia/en/5/54/Fast_and_the_furious_poster.jpg",
                            ReleaseYear = "2001",
                            Title = "Fast & Furious",
                            Trailer = "https://www.youtube.com/watch?v=2TAOizOnNPo"
                        },
                        new
                        {
                            Id = 2,
                            Director = "John Singleton",
                            Genre = "Action",
                            PictureUrl = "https://upload.wikimedia.org/wikipedia/en/9/9d/Two_fast_two_furious_ver5.jpg",
                            ReleaseYear = "2003",
                            Title = "2 Fast 2 Furious",
                            Trailer = "https://www.youtube.com/watch?v=F_VIM03DXWI"
                        },
                        new
                        {
                            Id = 3,
                            Director = "Justin Lin",
                            FranchiseId = 1,
                            Genre = "Action",
                            PictureUrl = "https://upload.wikimedia.org/wikipedia/en/4/4f/Poster_-_Fast_and_Furious_Tokyo_Drift.jpg",
                            ReleaseYear = "2006",
                            Title = "The Fast and the Furious: Tokyo Drift",
                            Trailer = "https://www.youtube.com/watch?v=p8HQ2JLlc4E"
                        },
                        new
                        {
                            Id = 4,
                            Director = "Christopher Nolen",
                            FranchiseId = 2,
                            Genre = "Action",
                            PictureUrl = "https://m.media-amazon.com/images/M/MV5BOTY4YjI2N2MtYmFlMC00ZjcyLTg3YjEtMDQyM2ZjYzQ5YWFkXkEyXkFqcGdeQXVyMTQxNzMzNDI@._V1_.jpg",
                            ReleaseYear = "2005",
                            Title = "Batman Begins",
                            Trailer = "https://www.youtube.com/watch?v=neY2xVmOfUM"
                        },
                        new
                        {
                            Id = 5,
                            Director = "Christopher Nolen",
                            FranchiseId = 2,
                            Genre = "Action",
                            PictureUrl = "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTOH1Z3WEv-NS_ahc7NSQRz1LTh813Z6sMmI_E7d1_FYpQd0MxY",
                            ReleaseYear = "2008",
                            Title = "The Dark night",
                            Trailer = "https://www.youtube.com/watch?v=EXeTwQWrcwY"
                        },
                        new
                        {
                            Id = 6,
                            Director = "Christopher Nolen",
                            FranchiseId = 2,
                            Genre = "Action",
                            PictureUrl = "https://m.media-amazon.com/images/M/MV5BMTk4ODQzNDY3Ml5BMl5BanBnXkFtZTcwODA0NTM4Nw@@._V1_FMjpg_UX1000_.jpg",
                            ReleaseYear = "2012",
                            Title = "The Dark Knight Rises",
                            Trailer = "https://www.youtube.com/watch?v=g8evyE9TuYk"
                        },
                        new
                        {
                            Id = 7,
                            Director = "Peter Jackson",
                            FranchiseId = 3,
                            Genre = "Fantasy/Adventure",
                            PictureUrl = "https://d2iltjk184xms5.cloudfront.net/uploads/photo/file/127849/small_original.jpeg",
                            ReleaseYear = "2001",
                            Title = "The Lord of the Rings: The Fellowship of the Ring",
                            Trailer = "https://www.youtube.com/watch?v=V75dMMIW2B4"
                        },
                        new
                        {
                            Id = 8,
                            Director = "Peter Jackson",
                            FranchiseId = 3,
                            Genre = "Fantasy/Adventure",
                            PictureUrl = "https://cdn.cdon.com/media-dynamic/images/product/movie/dvd/image2/lord_of_the_rings_-_the_two_towers_theatrical_cut_nordic-43043783-.jpg?impolicy=product&w=1280&h=720",
                            ReleaseYear = "2002",
                            Title = "The Lord of the Rings: The Two Towers",
                            Trailer = "https://www.youtube.com/watch?v=LbfMDwc4azU"
                        },
                        new
                        {
                            Id = 9,
                            Director = "Peter Jackson",
                            FranchiseId = 3,
                            Genre = "Fantasy/Adventure",
                            PictureUrl = "https://upload.wikimedia.org/wikipedia/en/b/be/The_Lord_of_the_Rings_-_The_Return_of_the_King_%282003%29.jpg",
                            ReleaseYear = "2003",
                            Title = "The Lord of the Rings: The Return of the King",
                            Trailer = "https://www.youtube.com/watch?v=y2rYRu8UW8M"
                        });
                });

            modelBuilder.Entity("CharacterMovie", b =>
                {
                    b.HasOne("MovieCharacters.Model.Character", null)
                        .WithMany()
                        .HasForeignKey("CharactersId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("MovieCharacters.Model.Movie", null)
                        .WithMany()
                        .HasForeignKey("MoviesId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("MovieCharacters.Model.Movie", b =>
                {
                    b.HasOne("MovieCharacters.Model.Franchise", "Franchise")
                        .WithMany("Movies")
                        .HasForeignKey("FranchiseId");

                    b.Navigation("Franchise");
                });

            modelBuilder.Entity("MovieCharacters.Model.Franchise", b =>
                {
                    b.Navigation("Movies");
                });
#pragma warning restore 612, 618
        }
    }
}
